Ask Your Question

nutshi's profile - activity

2017-01-25 17:08:52 -0500 received badge  Famous Question (source)
2016-02-29 15:09:35 -0500 received badge  Notable Question (source)
2016-02-18 16:03:21 -0500 received badge  Famous Question (source)
2016-02-18 15:51:07 -0500 received badge  Popular Question (source)
2016-02-09 13:13:06 -0500 answered a question Heat stack creation failed during heat engine failover(one node out of three))

update: seems like this is intermittent and not reproducible predictably..so probably a bug

2016-02-08 12:02:13 -0500 asked a question Heat stack creation failed during heat engine failover(one node out of three))

While heat creation is in progress, I rebooted one of the heat engine (I have 3 heat nodes) As soon as heat-0 engine has gone down, heat creation failed with the error " Engine went down during stack CREATE "

is this expected ?

2016-02-08 11:59:58 -0500 answered a question what happens if Heat engine goes down while a stack is being provisioned

what is the status of this now ? what should happen if the heat engine goes down during provisioning ?

I am getting Stack_failed is this expected ?

| parent | None | | stack_name | heat_stack_0_3763_60 | | stack_owner | None | | stack_status | CREATE_FAILED | | stack_status_reason | Engine went down during stack CREATE

2016-02-01 15:47:15 -0500 answered a question heatclient.exc.HTTPInternalServerError: ERROR: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8

yeah restarting all heat nodes fixed the issue

2016-02-01 15:46:38 -0500 received badge  Notable Question (source)
2016-01-19 17:30:31 -0500 received badge  Popular Question (source)
2016-01-19 14:08:04 -0500 answered a question heatclient.exc.HTTPInternalServerError: ERROR: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8

Blockquote

100000000000000000 2016-01-19 20:04:26.920 11162 ERROR heat.common.wsgi [u'Traceback (most recent call last):\n', u' File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 142, in _dispatch_and_reply\n executor_callback))\n', u' File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 195, in _dispatch\n raise UnsupportedVersion(version, method=method)\n', u'UnsupportedVersion: Endpoint does not support RPC version 1.8. Attempted method: list_stacks\n']. 2016-01-19 20:04:26.920 11162 ERROR heat.common.wsgi 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi [req-88cf4ca3-359d-4f2b-bf7a-7260dbbcc023 - admin - - -] Unexpected error occurred serving API: Remote error: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8. Attempted method: list_stacks [u'Traceback (most recent call last):\n', u' File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 142, in _dispatch_and_reply\n executor_callback))\n', u' File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 195, in _dispatch\n raise UnsupportedVersion(version, method=method)\n', u'UnsupportedVersion: Endpoint does not support RPC version 1.8. Attempted method: list_stacks\n']. None None. 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi Traceback (most recent call last): 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/common/wsgi.py", line 854, in __call__ 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi request, *action_args) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/common/wsgi.py", line 928, in dispatch 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return method(args, *kwargs) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/util.py", line 38, in handle_stack_method 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return handler(controller, req, *kwargs) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/stacks.py", line 340, in index 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return self._index(req) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/stacks.py", line 298, in _index 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi *params) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/rpc/client.py", line 143, in list_stacks 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi version='1.8') 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/rpc/client.py", line 61, in call 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return client.call(ctxt, method, *kwargs) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/client.py", line 158, in call 2016-01-19 ... (more)

2016-01-12 14:09:36 -0500 asked a question heatclient.exc.HTTPInternalServerError: ERROR: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8

I upgrade heat to liberty Restarted heat services

and this what i am getting any pointers?

heatclient.exc.HTTPInternalServerError: ERROR: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8.


None. 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi Traceback (most recent call last):

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/common/wsgi.py", line 854, in __call__

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi request, **action_args)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/common/wsgi.py", line 928, in dispatch

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return method(args, *kwargs)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/util.py", line 38, in handle_stack_method

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return handler(controller, req, **kwargs)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/stacks.py", line 340, in index

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return self._index(req)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/api/openstack/v1/stacks.py", line 298, in _index 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi **params) 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/rpc/client.py", line 143, in list_stacks 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi version='1.8') 2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/heat/rpc/client.py", line 61, in call

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi return client.call(ctxt, method, **kwargs)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/rpc/client.py", line 158, in call

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi retry=self.retry)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/transport.py", line 90, in _send

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi timeout=timeout, retry=retry)

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py", line 464, in send

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi def cleanup(self):

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi File "/opt/heat/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py", line 455, in _send

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi

2016-01-19 20:04:29.009 11161 ERROR heat.common.wsgi RemoteError: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.8. Attempted method: list_stacks

2016-01-19 20:04 ...

(more)
2016-01-04 16:11:47 -0500 received badge  Associate Editor (source)
2016-01-04 16:09:40 -0500 answered a question Could not connect to gerrit

Need more help

I am getting and I verified that my ssh key is correct on review.openstack

python-heatclient njain$ nc review.openstack.org 29418 SSH-2.0-GerritCodeReview_2.11.4-11-ga14450f (SSHD-CORE-0.14.0)

Unsupported protocol version:

I am getting the same error

:python-heatclient njain$ git review -s Problem running 'git remote update gerrit' Fetching gerrit Permission denied (publickey). fatal: Could not read from remote repository.

Please make sure you have the correct access rights and the repository exists. error: Could not fetch gerrit

I have added the gerrit remote

:python-heatclient njain$ git remote -v gerrit ssh://my@review.openstack.org:29418/openstack/python-heatclient.git (fetch) gerrit ssh://my@review.openstack.org:29418/openstack/python-heatclient.git (push) origin https://github.com/openstack/python-h... (fetch) origin https://github.com/openstack/python-h... (push)

more info ssh -p 29418 review.openstack.com gerrit show-connections ssh: Could not resolve hostname review.openstack.com: nodename nor servname provided, or not known

2015-09-30 14:07:03 -0500 received badge  Famous Question (source)
2015-09-27 02:00:47 -0500 received badge  Famous Question (source)
2015-09-14 10:36:47 -0500 marked best answer any openstack centos image with a set password i can use?

I have to do some quick benchmarking. I am unable to my vms since neutron is not setup properly. I can create centos vm.. but i can not log into it. I tried adding keypair, i tried could init change root password

#cloud-config
chpasswd:
 list: |
   root:stackops
   centos:stackops
 expire: False

it does not work. I mean it did not give any errors on log console but i am not abel to login with the credentials i set.

So my question is ..where can i find a openstack centos 7 image whose password is already set ( i guess it would be a custom one)

2015-06-30 14:54:20 -0500 received badge  Famous Question (source)
2015-06-05 21:57:39 -0500 received badge  Notable Question (source)
2015-06-05 21:57:39 -0500 received badge  Popular Question (source)
2015-05-29 17:06:12 -0500 received badge  Famous Question (source)
2015-05-22 05:39:33 -0500 received badge  Famous Question (source)
2015-05-15 00:47:54 -0500 received badge  Taxonomist
2015-04-29 11:15:33 -0500 received badge  Notable Question (source)
2015-04-22 15:34:51 -0500 received badge  Notable Question (source)
2015-04-22 10:17:48 -0500 received badge  Popular Question (source)
2015-04-21 11:41:20 -0500 asked a question barbican installation without pyenv

I want to install Barbican without installing pyenv and creating virtualenv e.t.c

when i tried to do that I ran into this issue :- "pyenv: command not found"

any pointers or work arounds ?

TASK: [barbican | setup barbican] ********************************************* 
failed: [barbican-04] => {"changed": true, "cmd": "cd /root/barbican; bin/barbican.sh latest", "delta": "0:00:00.005827", "end": "2015-04-21 16:34:58.157378", "rc": 1, "start": "2015-04-21 16:34:58.151551", "warnings": []}
**stderr: bin/barbican.sh: line 8: pyenv: command not found**
stdout: DIR: /root/barbican/bin
Usage: barbican.sh  {install|start|stop|debug <debug_params>|restart}
where debug_params are: --pydev-debug-host <host> --pydev-debug-port <port>, <host> defaults to 'localhost' and <port> defaults to '5678'

FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/home/neetu/site.retry

barbican-04                : ok=4    changed=0    unreachable=0    failed=1
2015-04-21 11:39:41 -0500 commented answer barbican stable release installation ?

thanks for the detailed reply

2015-04-21 11:39:04 -0500 received badge  Popular Question (source)
2015-04-20 09:26:47 -0500 asked a question barbican stable release installation ?

Hi

I am trying to automate barbican installation ( and integration with keystone later on) in ansible. Now I do not want to get the source from git repo but from a stable release to make sure no broken code gets in.

anybody has any pointers for that ?

cheers, Neetu

2015-04-13 14:18:11 -0500 received badge  Popular Question (source)
2015-04-13 14:18:11 -0500 received badge  Notable Question (source)
2015-04-10 15:14:05 -0500 asked a question barbican give fails from python client but works with curl

I have integrated barbican with keystone

and was able to test the curl commands

curl -H 'Accept: application/json' -H 'X-Project-Id:123'  -H "X-Auth-Token:**"  http://localhost:9311/v1/secrets/

got the correct response

but now when i try the ptyhon client i get certificate error .. is it because i am not passing auth_token ? if so how do i pass it ?

[root@barbican-keystone ~]# barbican secret list 
Starting new HTTPS connection (1): 169.54.204.73
/root/.pyenv/versions/2.7.6/lib/python2.7/site-packages/requests/packages/urllib3/util/ssl_.py:79: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
SSL exception connecting to https://169.2.2.73:35357/v3/tokens: [Errno 1] _ssl.c:507: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

any pointers ? I made sure i have exported all the required variables corectly

export OS_USERNAME=
export OS_TENANT_NAME=
export OS_PASSWORD=
export OS_AUTH_URL=
export OS_REGION_NAME=
export OS_IDENTITY_API_VERSION=3
export OS_USER_DOMAIN_ID=
export OS_PROJECT_DOMAIN_ID=
export AUTH_TOKEN=
export OS_CERT=/etc/keystone/ssl/certs/ca.pem
export OS_CACERT=/etc/keystone/ssl/certs/ca.pem
export OS_KEY=/etc/keystone/ssl/private/ca.key

what am i missing ? ?any pointers?

2015-04-03 09:37:27 -0500 answered a question incorrect hostname on logstash from vms created from image template

I am not actually setting the host explicitly for logstash anywhere but i would certainly need hostnames. I am not sure from where logstah picks up the hosts. The log message has a hostname which is correct since i set it explicitly

As you can see below "nj-test9-19" is the correct name but logstash thinks its coming from host "nj-test-3.novalocal"

type: benchmark type.raw: message: TIME: 2015_04_03__10_00_01 HOSTNAME:nj-test9-19 SCORE :607.2 @version: 1 @timestamp: April 3rd 2015, 05:56:33.512 file: /home/centos/ubtest.log host: nj-test-3.novalocal offset: 189

received_at: 2015-04-03 10:56:33 UTC _source: {"message":" TIME: 2015_04_03__10_00_01 HOSTNAME:nj-test9-19 SCORE :607.2","@version":"1","@timestamp":"2015-04-03T10:56:33.512Z","type":"benchmark","file":"/home/centos/ubtest.log","host":"nj-test-3.novalocal","offset":"189","ub_message":"TIME: 2015_04_03__10_00_01 HOSTNAME:nj-test9-19 SCORE :607.2","received_at":"2015-04-03 10:56:33 UTC"} _id: LBo2GeaOTdef953nQG3DFw _type: benchmark _index: logstash-201

2015-04-03 08:30:52 -0500 asked a question incorrect hostname on logstash from vms created from image template

up vote 0 down vote favorite

There are the steps i have taken so far:- 1)created a image template from a vm 2) spin new vms from that image 3) each vm (and the image) had logstash forwarder running on it

Now the issue is when i check in logstash all messages are coming under the same hostname of the image-vm.

Say I created the image from vm whose hostname is "test" All new vms (even though they have a different hostname) are sending messages with host="test"

any pointers ? where i need to fix the hostname so that image-hostname is wiped by currect hostname ?

2015-03-27 09:59:04 -0500 received badge  Notable Question (source)